import DodoPayments from 'dodopayments';const client = new DodoPayments({ bearerToken: process.env['DODO_PAYMENTS_API_KEY'], // This is the default and can be omitted});// Automatically fetches more pages as needed.for await (const event of client.usageEvents.list()) { console.log(event.business_id);}
import os
from dodopayments import DodoPayments
client = DodoPayments(
bearer_token=os.environ.get("DODO_PAYMENTS_API_KEY"), # This is the default and can be omitted
)
page = client.usage_events.list()
page = page.items[0]
print(page.business_id)
import DodoPayments from 'dodopayments';const client = new DodoPayments({ bearerToken: process.env['DODO_PAYMENTS_API_KEY'], // This is the default and can be omitted});// Automatically fetches more pages as needed.for await (const event of client.usageEvents.list()) { console.log(event.business_id);}
import os
from dodopayments import DodoPayments
client = DodoPayments(
bearer_token=os.environ.get("DODO_PAYMENTS_API_KEY"), # This is the default and can be omitted
)
page = client.usage_events.list()
page = page.items[0]
print(page.business_id)
{"docsConfig":{"theme":"maple","$schema":"https://mintlify.com/docs.json","name":"Dodo Payments Documentation","description":"Documentation for Dodo Payments — the all-in-one payments, billing, and merchant of record platform for SaaS, AI, and digital products.","colors":{"primary":"#779812","light":"#C6FE1E","dark":"#166534"},"logo":{"light":"https://mintcdn.com/dodopayments/nM_mJfYkri-OpC5M/logo/light.svg?fit=max\u0026auto=format\u0026n=nM_mJfYkri-OpC5M\u0026q=85\u0026s=23f7a052f7ecb9d6570b7c95ee359a97","dark":"https://mintcdn.com/dodopayments/nM_mJfYkri-OpC5M/logo/dark.svg?fit=max\u0026auto=format\u0026n=nM_mJfYkri-OpC5M\u0026q=85\u0026s=cd6c20238a54526436f21c43fee51b26"},"favicon":"https://mintcdn.com/dodopayments/doYQc9oUE-WNz0cs/favicon.svg?fit=max\u0026auto=format\u0026n=doYQc9oUE-WNz0cs\u0026q=85\u0026s=271c6cc8ce7d6bf4d7f2b9cca029e004","background":{"color":{"light":"#FFFFFF","dark":"#0D0D0D"}},"navbar":{"links":[{"icon":"link","href":"https://docs.dodopayments.com/llms-full.txt","label":"llms-full.txt"},{"icon":"discord","href":"https://discord.gg/bYqAp4ayYh","label":"Community"},{"icon":"house","href":"https://app.dodopayments.com/","label":"Dashboard"}]},"footer":{"socials":{"x":"https://x.com/dodopayments","linkedin":"https://linkedin.com/company/dodopayments","website":"https://dodopayments.com","discord":"https://discord.gg/bYqAp4ayYh","github":"https://github.com/dodopayments","instagram":"https://www.instagram.com/dodo.payments","facebook":"https://www.facebook.com/profile.php?id=61565515607280"}},"seo":{"metatags":{"og:site_name":"Dodo Payments Documentation","twitter:card":"summary_large_image"},"indexing":"navigable"},"fonts":{"heading":{"family":"ApfelGrotezk","weight":400,"source":"fonts/ApfelGrotezk-Regular.woff2","format":"woff2"},"body":{"family":"Inter","weight":400,"source":"fonts/Inter-Variable.woff2","format":"woff2"}},"contextual":{"options":["copy","view","chatgpt","claude","perplexity","cursor"],"display":"header"},"metadata":{"timestamp":true},"styling":{"latex":true},"navigation":{"languages":[{"language":"en","href":"introduction"},{"language":"es","href":"es/introduction"},{"language":"ar","href":"ar/introduction"},{"language":"fr","href":"fr/introduction"},{"language":"de","href":"de/introduction"},{"language":"id","href":"id/introduction"},{"language":"ja","href":"ja/introduction"},{"language":"ko","href":"ko/introduction"},{"language":"pt-BR","href":"pt-BR/introduction"},{"language":"vi","href":"vi/introduction"},{"language":"cn","href":"cn/introduction"},{"language":"hi","href":"hi/introduction"},{"language":"it","href":"it/introduction"},{"language":"sv","href":"sv/introduction"}]}},"deployment":{"deploymentMetadataValue":{"subdomain":"dodopayments","hasAudioNarration":false,"actualSubdomain":"dodopayments","customDomains":["docs.dodopayments.com"],"gitSource":{"type":"github","owner":"dodopayments","repo":"dodo-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6adf5a33808b7de5845186d8","collectionId":"d02383a8-7f9b-4d24-adae-8c8bed6b4bbf","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6adf5a33808b7de5845186d8"},"feedback":{"thumbs":true,"edits":false,"issues":false},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6adf5a33808b7de5845186d8","clientVersion":"0.0.3990","searchFilterCounts":[{"language":"en","tag":"Docs","count":158},{"language":"en","tag":"API Reference","count":153},{"language":"ar","tag":"Docs","count":153},{"language":"cn","tag":"Docs","count":153},{"language":"de","tag":"Docs","count":153},{"language":"es","tag":"Docs","count":153},{"language":"fr","tag":"Docs","count":153},{"language":"hi","tag":"Docs","count":153},{"language":"id","tag":"Docs","count":153},{"language":"it","tag":"Docs","count":153},{"language":"ja","tag":"Docs","count":153},{"language":"ko","tag":"Docs","count":153},{"language":"pt-BR","tag":"Docs","count":153},{"language":"sv","tag":"Docs","count":153},{"language":"vi","tag":"Docs","count":153},{"language":"ar","tag":"API Reference","count":151},{"language":"cn","tag":"API Reference","count":151},{"language":"de","tag":"API Reference","count":151},{"language":"es","tag":"API Reference","count":151},{"language":"fr","tag":"API Reference","count":151},{"language":"hi","tag":"API Reference","count":151},{"language":"id","tag":"API Reference","count":151},{"language":"it","tag":"API Reference","count":151},{"language":"ja","tag":"API Reference","count":151},{"language":"ko","tag":"API Reference","count":151},{"language":"pt-BR","tag":"API Reference","count":151},{"language":"sv","tag":"API Reference","count":151},{"language":"vi","tag":"API Reference","count":151},{"language":"en","tag":"Features","count":81},{"language":"ar","tag":"Features","count":81},{"language":"cn","tag":"Features","count":81},{"language":"de","tag":"Features","count":81},{"language":"es","tag":"Features","count":81},{"language":"fr","tag":"Features","count":81},{"language":"hi","tag":"Features","count":81},{"language":"id","tag":"Features","count":81},{"language":"it","tag":"Features","count":81},{"language":"ja","tag":"Features","count":81},{"language":"ko","tag":"Features","count":81},{"language":"pt-BR","tag":"Features","count":81},{"language":"sv","tag":"Features","count":81},{"language":"vi","tag":"Features","count":81},{"language":"en","tag":"Changelog","count":65},{"language":"ar","tag":"Changelog","count":65},{"language":"cn","tag":"Changelog","count":65},{"language":"de","tag":"Changelog","count":65},{"language":"es","tag":"Changelog","count":65},{"language":"fr","tag":"Changelog","count":65},{"language":"hi","tag":"Changelog","count":65},{"language":"id","tag":"Changelog","count":65},{"language":"it","tag":"Changelog","count":65},{"language":"ja","tag":"Changelog","count":65},{"language":"ko","tag":"Changelog","count":65},{"language":"pt-BR","tag":"Changelog","count":65},{"language":"sv","tag":"Changelog","count":65},{"language":"vi","tag":"Changelog","count":65},{"language":"en","tag":"Integrate","count":61},{"language":"ar","tag":"Integrate","count":59},{"language":"cn","tag":"Integrate","count":59},{"language":"de","tag":"Integrate","count":59},{"language":"es","tag":"Integrate","count":59},{"language":"fr","tag":"Integrate","count":59},{"language":"hi","tag":"Integrate","count":59},{"language":"id","tag":"Integrate","count":59},{"language":"it","tag":"Integrate","count":59},{"language":"ja","tag":"Integrate","count":59},{"language":"ko","tag":"Integrate","count":59},{"language":"pt-BR","tag":"Integrate","count":59},{"language":"sv","tag":"Integrate","count":59},{"language":"vi","tag":"Integrate","count":59},{"language":"en","tag":"External Integrations","count":32},{"language":"ar","tag":"External Integrations","count":30},{"language":"cn","tag":"External Integrations","count":30},{"language":"de","tag":"External Integrations","count":30},{"language":"es","tag":"External Integrations","count":30},{"language":"fr","tag":"External Integrations","count":30},{"language":"hi","tag":"External Integrations","count":30},{"language":"id","tag":"External Integrations","count":30},{"language":"it","tag":"External Integrations","count":30},{"language":"ja","tag":"External Integrations","count":30},{"language":"ko","tag":"External Integrations","count":30},{"language":"pt-BR","tag":"External Integrations","count":30},{"language":"sv","tag":"External Integrations","count":30},{"language":"vi","tag":"External Integrations","count":30},{"language":"en","tag":"Webhooks","count":23},{"language":"ar","tag":"Webhooks","count":23},{"language":"cn","tag":"Webhooks","count":23},{"language":"de","tag":"Webhooks","count":23},{"language":"es","tag":"Webhooks","count":23},{"language":"fr","tag":"Webhooks","count":23},{"language":"hi","tag":"Webhooks","count":23},{"language":"id","tag":"Webhooks","count":23},{"language":"it","tag":"Webhooks","count":23},{"language":"ja","tag":"Webhooks","count":23},{"language":"ko","tag":"Webhooks","count":23},{"language":"pt-BR","tag":"Webhooks","count":23},{"language":"sv","tag":"Webhooks","count":23},{"language":"vi","tag":"Webhooks","count":23},{"language":"en","tag":"Guides","count":22},{"language":"ar","tag":"Guides","count":22},{"language":"cn","tag":"Guides","count":22},{"language":"de","tag":"Guides","count":22},{"language":"es","tag":"Guides","count":22},{"language":"fr","tag":"Guides","count":22},{"language":"hi","tag":"Guides","count":22},{"language":"id","tag":"Guides","count":22},{"language":"it","tag":"Guides","count":22},{"language":"ja","tag":"Guides","count":22},{"language":"ko","tag":"Guides","count":22},{"language":"pt-BR","tag":"Guides","count":22},{"language":"sv","tag":"Guides","count":22},{"language":"vi","tag":"Guides","count":22},{"language":"en","tag":"Entitlements","count":20},{"language":"ar","tag":"Entitlements","count":20},{"language":"cn","tag":"Entitlements","count":20},{"language":"de","tag":"Entitlements","count":20},{"language":"es","tag":"Entitlements","count":20},{"language":"fr","tag":"Entitlements","count":20},{"language":"hi","tag":"Entitlements","count":20},{"language":"id","tag":"Entitlements","count":20},{"language":"it","tag":"Entitlements","count":20},{"language":"ja","tag":"Entitlements","count":20},{"language":"ko","tag":"Entitlements","count":20},{"language":"pt-BR","tag":"Entitlements","count":20},{"language":"sv","tag":"Entitlements","count":20},{"language":"vi","tag":"Entitlements","count":20},{"language":"en","tag":"Customers","count":16},{"language":"ar","tag":"Customers","count":16},{"language":"cn","tag":"Customers","count":16},{"language":"de","tag":"Customers","count":16},{"language":"es","tag":"Customers","count":16},{"language":"fr","tag":"Customers","count":16},{"language":"hi","tag":"Customers","count":16},{"language":"id","tag":"Customers","count":16},{"language":"it","tag":"Customers","count":16},{"language":"ja","tag":"Customers","count":16},{"language":"ko","tag":"Customers","count":16},{"language":"pt-BR","tag":"Customers","count":16},{"language":"sv","tag":"Customers","count":16},{"language":"vi","tag":"Customers","count":16}]},"assistantConfig":{"deflection":{"enabled":false,"email":"support@dodopayments.com","showHelpButton":true}},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-v7-file-tree","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"pause-universal-search-reconcile","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"per-site-search-delta","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-private-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-nav-generations","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-agent-model-picker","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"isAtlas":false,"googleFontsInlined":false},"customCss":[{"filePath":"styles.css","content":"#content-area{max-width:60rem}h1,h2,h3,h4,h5,h6{letter-spacing:.05em!important}.welcome-page .card-group{margin:3rem auto 8rem;max-width:70rem;padding-left:1.25rem;padding-right:1.25rem}.welcome-page .card-group .card{padding:1rem}.welcome-hero{display:flex;flex-direction:column;align-items:center;justify-content:center;min-height:20vh;text-align:center;margin-top:3rem;margin-bottom:2.5rem}.welcome-hero h1{font-size:2.5rem;font-weight:700;margin-bottom:1rem;line-height:1.2;color:#fff;color:rgb(41 42 37/1)}.welcome-hero p{font-size:1.25rem;max-width:600px;margin:0 auto;color:rgb(83 85 79/1)}.dark .welcome-hero h1{color:rgb(255 255 255/1)}.dark .welcome-hero p{color:rgb(162 164 158/1)}"}],"page":{"pagePath":"vi/api-reference/usage-events/list-events","slug":"/vi/api-reference/usage-events/list-events","pageMetadata":{"openapi":"get /events","title":"Danh sách sự kiện","description":"Lấy danh sách tất cả các sự kiện.","keywords":["Dodo Payments","Tham khảo API","REST API","danh sách sự kiện"],"href":"/vi/api-reference/usage-events/list-events"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Lấy danh sách tất cả các sự kiện.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"get /events","title":"Danh sách sự kiện","description":"Lấy danh sách tất cả các sự kiện.","keywords":["Dodo Payments","Tham khảo API","REST API","danh sách sự kiện"],"href":"/vi/api-reference/usage-events/list-events"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/dodopayments/0ee82a08f7b65bcb/seo.js","/_mintlify/custom/dodopayments/6f88c9bbee313616/assistant-loader.js"],"openApiReferenceData":{"operation":{"tags":["Events"],"summary":"Retrieve events with advanced filtering and pagination","description":"Lấy danh sách tất cả các sự kiện.","operationId":"get_events","parameters":["f1e01e93-1235-4dd6-8e5a-518cc59c8716","e18c574c-bc79-47d8-a4f9-cbbb98665420","ac1318ea-26d5-48e6-a867-956fb9a0a9ba","e1d845a9-4dd1-42e0-87e0-58bb6071dd94","6f6daf64-1fa6-4989-b598-cb528fe60221","141e25a7-bd97-4b8b-90a4-9088cd794d95","26f26721-c875-40c3-ab6a-9498c4fb2d9a"],"responses":{"200":"c85008c3-09ac-4feb-8d27-a17deed86330","400":"83c25ea2-6aa3-4a33-8c70-a4b25b32b2e2","401":"35ac21e6-3f1f-4243-8bb4-3b82f1f933dc","404":"4e36bb25-c0dc-428b-b762-6951c2a54a16","422":"843dff65-7b52-40c5-a0d7-62f0666ce6ea"},"security":["ac21d200-8331-4b62-9785-0652e4192aa2"],"x-codeSamples":[{"lang":"JavaScript","source":"import DodoPayments from 'dodopayments';\n\nconst client = new DodoPayments({\n bearerToken: process.env['DODO_PAYMENTS_API_KEY'], // This is the default and can be omitted\n});\n\n// Automatically fetches more pages as needed.\nfor await (const event of client.usageEvents.list()) {\n console.log(event.business_id);\n}"},{"lang":"Python","source":"import os\nfrom dodopayments import DodoPayments\n\nclient = DodoPayments(\n bearer_token=os.environ.get(\"DODO_PAYMENTS_API_KEY\"), # This is the default and can be omitted\n)\npage = client.usage_events.list()\npage = page.items[0]\nprint(page.business_id)"},{"lang":"Go","source":"package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/dodopayments/dodopayments-go\"\n\t\"github.com/dodopayments/dodopayments-go/option\"\n)\n\nfunc main() {\n\tclient := dodopayments.NewClient(\n\t\toption.WithBearerToken(\"My Bearer Token\"),\n\t)\n\tpage, err := client.UsageEvents.List(context.TODO(), dodopayments.UsageEventListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"},{"lang":"Java","source":"package com.dodopayments.api.example;\n\nimport com.dodopayments.api.client.DodoPaymentsClient;\nimport com.dodopayments.api.client.okhttp.DodoPaymentsOkHttpClient;\nimport com.dodopayments.api.models.usageevents.UsageEventListPage;\nimport com.dodopayments.api.models.usageevents.UsageEventListParams;\n\npublic final class Main {\n private Main() {}\n\n public static void main(String[] args) {\n DodoPaymentsClient client = DodoPaymentsOkHttpClient.fromEnv();\n\n UsageEventListPage page = client.usageEvents().list();\n }\n}"},{"lang":"Kotlin","source":"package com.dodopayments.api.example\n\nimport com.dodopayments.api.client.DodoPaymentsClient\nimport com.dodopayments.api.client.okhttp.DodoPaymentsOkHttpClient\nimport com.dodopayments.api.models.usageevents.UsageEventListPage\nimport com.dodopayments.api.models.usageevents.UsageEventListParams\n\nfun main() {\n val client: DodoPaymentsClient = DodoPaymentsOkHttpClient.fromEnv()\n\n val page: UsageEventListPage = client.usageEvents().list()\n}"},{"lang":"Ruby","source":"require \"dodopayments\"\n\ndodo_payments = Dodopayments::Client.new(\n bearer_token: \"My Bearer Token\",\n environment: \"test_mode\" # defaults to \"live_mode\"\n)\n\npage = dodo_payments.usage_events.list\n\nputs(page)"},{"lang":"PHP","source":"\u003c?php\n\nrequire_once dirname(__DIR__) . '/vendor/autoload.php';\n\nuse Dodopayments\\Client;\nuse Dodopayments\\Core\\Exceptions\\APIException;\n\n$client = new Client(\n bearerToken: getenv('DODO_PAYMENTS_API_KEY') ?: 'My Bearer Token',\n environment: 'test_mode',\n);\n\ntry {\n $page = $client->usageEvents->list(\n customerID: 'customer_id',\n end: new \\DateTimeImmutable('2019-12-27T18:11:19.117Z'),\n eventName: 'event_name',\n meterID: 'meter_id',\n pageNumber: 0,\n pageSize: 0,\n start: new \\DateTimeImmutable('2019-12-27T18:11:19.117Z'),\n );\n\n var_dump($page);\n} catch (APIException $e) {\n echo $e->getMessage();\n}"},{"lang":"C#","source":"using System;\nusing DodoPayments.Client;\nusing DodoPayments.Client.Models.UsageEvents;\n\nDodoPaymentsClient client = new();\n\nUsageEventListParams parameters = new();\n\nvar page = await client.UsageEvents.List(parameters);\nawait foreach (var item in page.Paginate())\n{\n Console.WriteLine(item);\n}"},{"lang":"Rust","source":"use dodopayments::Client;\n\n#[tokio::main]\nasync fn main() -> dodopayments::Result\u003c()> {\n let client = Client::from_env()?;\n let result = client\n .usage_events()\n .list()\n .query(serde_json::json!({}))\n .await?;\n println!(\"{result:?}\");\n Ok(())\n}"}],"method":"get","type":"path","servers":["b8279125-7462-4f6d-873d-639daf4713e3","19387343-99f6-4e39-8f6d-949eb40fb8bb"],"path":"/events","baseUrlOptions":["https://test.dodopayments.com/","https://live.dodopayments.com/"],"title":"Retrieve events with advanced filtering and pagination","codeSamples":[{"lang":"JavaScript","source":"import DodoPayments from 'dodopayments';\n\nconst client = new DodoPayments({\n bearerToken: process.env['DODO_PAYMENTS_API_KEY'], // This is the default and can be omitted\n});\n\n// Automatically fetches more pages as needed.\nfor await (const event of client.usageEvents.list()) {\n console.log(event.business_id);\n}"},{"lang":"Python","source":"import os\nfrom dodopayments import DodoPayments\n\nclient = DodoPayments(\n bearer_token=os.environ.get(\"DODO_PAYMENTS_API_KEY\"), # This is the default and can be omitted\n)\npage = client.usage_events.list()\npage = page.items[0]\nprint(page.business_id)"},{"lang":"Go","source":"package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/dodopayments/dodopayments-go\"\n\t\"github.com/dodopayments/dodopayments-go/option\"\n)\n\nfunc main() {\n\tclient := dodopayments.NewClient(\n\t\toption.WithBearerToken(\"My Bearer Token\"),\n\t)\n\tpage, err := client.UsageEvents.List(context.TODO(), dodopayments.UsageEventListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"},{"lang":"Java","source":"package com.dodopayments.api.example;\n\nimport com.dodopayments.api.client.DodoPaymentsClient;\nimport com.dodopayments.api.client.okhttp.DodoPaymentsOkHttpClient;\nimport com.dodopayments.api.models.usageevents.UsageEventListPage;\nimport com.dodopayments.api.models.usageevents.UsageEventListParams;\n\npublic final class Main {\n private Main() {}\n\n public static void main(String[] args) {\n DodoPaymentsClient client = DodoPaymentsOkHttpClient.fromEnv();\n\n UsageEventListPage page = client.usageEvents().list();\n }\n}"},{"lang":"Kotlin","source":"package com.dodopayments.api.example\n\nimport com.dodopayments.api.client.DodoPaymentsClient\nimport com.dodopayments.api.client.okhttp.DodoPaymentsOkHttpClient\nimport com.dodopayments.api.models.usageevents.UsageEventListPage\nimport com.dodopayments.api.models.usageevents.UsageEventListParams\n\nfun main() {\n val client: DodoPaymentsClient = DodoPaymentsOkHttpClient.fromEnv()\n\n val page: UsageEventListPage = client.usageEvents().list()\n}"},{"lang":"Ruby","source":"require \"dodopayments\"\n\ndodo_payments = Dodopayments::Client.new(\n bearer_token: \"My Bearer Token\",\n environment: \"test_mode\" # defaults to \"live_mode\"\n)\n\npage = dodo_payments.usage_events.list\n\nputs(page)"},{"lang":"PHP","source":"\u003c?php\n\nrequire_once dirname(__DIR__) . '/vendor/autoload.php';\n\nuse Dodopayments\\Client;\nuse Dodopayments\\Core\\Exceptions\\APIException;\n\n$client = new Client(\n bearerToken: getenv('DODO_PAYMENTS_API_KEY') ?: 'My Bearer Token',\n environment: 'test_mode',\n);\n\ntry {\n $page = $client->usageEvents->list(\n customerID: 'customer_id',\n end: new \\DateTimeImmutable('2019-12-27T18:11:19.117Z'),\n eventName: 'event_name',\n meterID: 'meter_id',\n pageNumber: 0,\n pageSize: 0,\n start: new \\DateTimeImmutable('2019-12-27T18:11:19.117Z'),\n );\n\n var_dump($page);\n} catch (APIException $e) {\n echo $e->getMessage();\n}"},{"lang":"C#","source":"using System;\nusing DodoPayments.Client;\nusing DodoPayments.Client.Models.UsageEvents;\n\nDodoPaymentsClient client = new();\n\nUsageEventListParams parameters = new();\n\nvar page = await client.UsageEvents.List(parameters);\nawait foreach (var item in page.Paginate())\n{\n Console.WriteLine(item);\n}"},{"lang":"Rust","source":"use dodopayments::Client;\n\n#[tokio::main]\nasync fn main() -> dodopayments::Result\u003c()> {\n let client = Client::from_env()?;\n let result = client\n .usage_events()\n .list()\n .query(serde_json::json!({}))\n .await?;\n println!(\"{result:?}\");\n Ok(())\n}"}],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{"f1e01e93-1235-4dd6-8e5a-518cc59c8716":{"name":"customer_id","in":"query","description":"Filter events by customer ID","required":false,"schema":{"type":"string","isRequired":false,"description":"Filter events by customer ID","uniqueKey":"","typeLabel":"string"},"style":"form"},"e18c574c-bc79-47d8-a4f9-cbbb98665420":{"name":"event_name","in":"query","description":"Filter events by event name. If both event_name and meter_id are provided, they must match the meter's configured event_name","required":false,"schema":{"type":"string","isRequired":false,"description":"Filter events by event name. If both event_name and meter_id are provided, they must match the meter's configured event_name","uniqueKey":"","typeLabel":"string"},"style":"form"},"ac1318ea-26d5-48e6-a867-956fb9a0a9ba":{"name":"meter_id","in":"query","description":"Filter events by meter ID. When provided, only events that match the meter's event_name and filter criteria will be returned","required":false,"schema":{"type":"string","isRequired":false,"description":"Filter events by meter ID. When provided, only events that match the meter's event_name and filter criteria will be returned","uniqueKey":"","typeLabel":"string"},"style":"form"},"e1d845a9-4dd1-42e0-87e0-58bb6071dd94":{"name":"page_size","in":"query","description":"Number of events to return per page (default: 10)","required":false,"schema":{"type":"integer","format":"int32","minimum":0,"isRequired":false,"description":"Number of events to return per page (default: 10)","uniqueKey":"","typeLabel":"integer\u003cint32>"},"style":"form"},"6f6daf64-1fa6-4989-b598-cb528fe60221":{"name":"page_number","in":"query","description":"Page number (0-based, default: 0)","required":false,"schema":{"type":"integer","format":"int32","minimum":0,"isRequired":false,"description":"Page number (0-based, default: 0)","uniqueKey":"","typeLabel":"integer\u003cint32>"},"style":"form"},"141e25a7-bd97-4b8b-90a4-9088cd794d95":{"name":"start","in":"query","description":"Filter events created after this timestamp","required":false,"schema":{"type":"string","format":"date-time","isRequired":false,"description":"Filter events created after this timestamp","uniqueKey":"","typeLabel":"string\u003cdate-time>"},"style":"form"},"26f26721-c875-40c3-ab6a-9498c4fb2d9a":{"name":"end","in":"query","description":"Filter events created before this timestamp","required":false,"schema":{"type":"string","format":"date-time","isRequired":false,"description":"Filter events created before this timestamp","uniqueKey":"","typeLabel":"string\u003cdate-time>"},"style":"form"}},"responses":{"c85008c3-09ac-4feb-8d27-a17deed86330":{"description":"Events retrieved successfully","content":{"application/json":{"schema":{"type":"object","required":["items"],"properties":{"items":{"type":"array","items":{"type":"object","required":["event_id","business_id","customer_id","event_name","timestamp"],"properties":{"business_id":{"type":"string","isRequired":true,"uniqueKey":"\\items.items.[INDEX].business_id","typeLabel":"string"},"customer_id":{"type":"string","isRequired":true,"uniqueKey":"\\items.items.[INDEX].customer_id","typeLabel":"string"},"event_id":{"type":"string","isRequired":true,"uniqueKey":"\\items.items.[INDEX].event_id","typeLabel":"string"},"event_name":{"type":"string","isRequired":true,"uniqueKey":"\\items.items.[INDEX].event_name","typeLabel":"string"},"timestamp":{"type":"string","format":"date-time","isRequired":true,"uniqueKey":"\\items.items.[INDEX].timestamp","typeLabel":"string\u003cdate-time>"},"metadata":{"oneOf":[{"type":"null","uniqueKey":"\\items.items.[INDEX].metadata.oneOf.0","typeLabel":"null"},{"type":"object","title":"EventMetadata","description":"Arbitrary key-value metadata. Values can be string, integer, number, or boolean.","additionalProperties":{"oneOf":[{"type":"string","title":"String","description":"Metadata value can be a string, integer, number, or boolean","uniqueKey":"\\items.items.[INDEX].metadata.oneOf.1.additionalProperties.oneOf.0","typeLabel":"string"},{"type":"integer","title":"Integer","description":"Metadata value can be a string, integer, number, or boolean","format":"int64","uniqueKey":"\\items.items.[INDEX].metadata.oneOf.1.additionalProperties.oneOf.1","typeLabel":"integer\u003cint64>"},{"type":"number","title":"Number","description":"Metadata value can be a string, integer, number, or boolean","format":"double","uniqueKey":"\\items.items.[INDEX].metadata.oneOf.1.additionalProperties.oneOf.2","typeLabel":"number\u003cdouble>"},{"type":"boolean","title":"Boolean","description":"Metadata value can be a string, integer, number, or boolean","uniqueKey":"\\items.items.[INDEX].metadata.oneOf.1.additionalProperties.oneOf.3","typeLabel":"boolean"}],"uniqueKey":"\\items.items.[INDEX].metadata.oneOf.1.additionalProperties","typeLabel":"string | integer\u003cint64> | number\u003cdouble> | boolean"},"uniqueKey":"\\items.items.[INDEX].metadata.oneOf.1","typeLabel":"EventMetadata · object"}],"uniqueKey":"\\items.items.[INDEX].metadata","typeLabel":"null | EventMetadata · object"}},"uniqueKey":"\\items.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"\\items","typeLabel":"object[]"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"items":[{"business_id":"\u003cstring>","customer_id":"\u003cstring>","event_id":"\u003cstring>","event_name":"\u003cstring>","timestamp":"2023-11-07T05:31:56Z","metadata":{}}]}}},"exampleType":"generated"}},"exampleType":"generated"},"83c25ea2-6aa3-4a33-8c70-a4b25b32b2e2":{"description":"Invalid request - invalid query parameters, conflicting meter/event names, or malformed dates","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"35ac21e6-3f1f-4243-8bb4-3b82f1f933dc":{"description":"Unauthorized - invalid or missing API key","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"4e36bb25-c0dc-428b-b762-6951c2a54a16":{"description":"Meter not found - the specified meter_id does not exist","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"843dff65-7b52-40c5-a0d7-62f0666ce6ea":{"description":"Unprocessable entity - validation errors in query parameters","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}}},"security":{"ac21d200-8331-4b62-9785-0652e4192aa2":{"API_KEY":{"type":"http","scheme":"bearer","scopes":[],"schemeName":"API_KEY"}}},"servers":{"b8279125-7462-4f6d-873d-639daf4713e3":{"url":"https://test.dodopayments.com/","description":"Test Mode Server Host"},"19387343-99f6-4e39-8f6d-949eb40fb8bb":{"url":"https://live.dodopayments.com/","description":"Live Mode Server Host"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","scopes":[],"schemeName":"API_KEY"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"API_KEY","name":"Authorization"}],"title":"API_KEY"}]},"originalFileLocation":"openapi/openapi.documented.yml"},"subdomain":"dodopayments","siteName":"Dodo Payments Documentation","title":"Danh sách sự kiện - Dodo Payments Documentation","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{"en":{"href":"/api-reference/usage-events/list-events","matchLevel":1},"es":{"href":"/es/api-reference/usage-events/list-events","matchLevel":1},"ar":{"href":"/ar/api-reference/usage-events/list-events","matchLevel":1},"fr":{"href":"/fr/api-reference/usage-events/list-events","matchLevel":1},"de":{"href":"/de/api-reference/usage-events/list-events","matchLevel":1},"id":{"href":"/id/api-reference/usage-events/list-events","matchLevel":1},"ja":{"href":"/ja/api-reference/usage-events/list-events","matchLevel":1},"ko":{"href":"/ko/api-reference/usage-events/list-events","matchLevel":1},"pt-BR":{"href":"/pt-BR/api-reference/usage-events/list-events","matchLevel":1},"vi":{"href":"/vi/api-reference/usage-events/list-events","matchLevel":0},"cn":{"href":"/cn/api-reference/usage-events/list-events","matchLevel":1},"hi":{"href":"/hi/api-reference/usage-events/list-events","matchLevel":1},"it":{"href":"/it/api-reference/usage-events/list-events","matchLevel":1},"sv":{"href":"/sv/api-reference/usage-events/list-events","matchLevel":1}}},"lastModified":"2026-01-28T20:02:43.268Z","gitLastModified":"2026-04-01T20:47:39.000Z","originalFileLocation":"vi/api-reference/usage-events/list-events.mdx","locale":"vi"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Lấy danh sách tất cả các sự kiện.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Dodo Payments Documentation\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/dodopayments/KuV_TozyHuGHOyyc/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/dodopayments/KuV_TozyHuGHOyyc/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/dodopayments/KuV_TozyHuGHOyyc/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/dodopayments/KuV_TozyHuGHOyyc/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/dodopayments/KuV_TozyHuGHOyyc/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/dodopayments/KuV_TozyHuGHOyyc/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/dodopayments/KuV_TozyHuGHOyyc/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/dodopayments/KuV_TozyHuGHOyyc/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/dodopayments/KuV_TozyHuGHOyyc/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Danh sách sự kiện - Dodo Payments Documentation\">\u003cmeta data-mint-head property=\"og:description\" content=\"Lấy danh sách tất cả các sự kiện.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Dodo Payments Documentation\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.dodopayments.com/vi/api-reference/usage-events/list-events\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://dodopayments.mintlify.app/_mintlify/api/og/v2?division=Usage+Events\u0026amp;title=Danh+s%C3%A1ch+s%E1%BB%B1+ki%E1%BB%87n\u0026amp;description=L%E1%BA%A5y+danh+s%C3%A1ch+t%E1%BA%A5t+c%E1%BA%A3+c%C3%A1c+s%E1%BB%B1+ki%E1%BB%87n.\u0026amp;theme=7deaaa10b0ab3bbb6a23be51\u0026amp;signature=6a20284b1b3e69f5bb4b2f2bfe3ee0f527a100abcf5b8b5d8edb2d615629d7eb\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Danh sách sự kiện - Dodo Payments Documentation\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Lấy danh sách tất cả các sự kiện.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://dodopayments.mintlify.app/_mintlify/api/og/v2?division=Usage+Events\u0026amp;title=Danh+s%C3%A1ch+s%E1%BB%B1+ki%E1%BB%87n\u0026amp;description=L%E1%BA%A5y+danh+s%C3%A1ch+t%E1%BA%A5t+c%E1%BA%A3+c%C3%A1c+s%E1%BB%B1+ki%E1%BB%87n.\u0026amp;theme=7deaaa10b0ab3bbb6a23be51\u0026amp;signature=6a20284b1b3e69f5bb4b2f2bfe3ee0f527a100abcf5b8b5d8edb2d615629d7eb\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/dodopayments/KuV_TozyHuGHOyyc/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Dodo Payments Documentation\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#779812\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.dodopayments.com/vi/api-reference/usage-events/list-events\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/vi/api-reference/usage-events/list-events.md\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"vi\" href=\"https://docs.dodopayments.com/vi/api-reference/usage-events/list-events\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"en\" href=\"https://docs.dodopayments.com/api-reference/usage-events/list-events\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"es\" href=\"https://docs.dodopayments.com/es/api-reference/usage-events/list-events\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"ar\" href=\"https://docs.dodopayments.com/ar/api-reference/usage-events/list-events\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"fr\" href=\"https://docs.dodopayments.com/fr/api-reference/usage-events/list-events\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"de\" href=\"https://docs.dodopayments.com/de/api-reference/usage-events/list-events\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"id\" href=\"https://docs.dodopayments.com/id/api-reference/usage-events/list-events\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"ja\" href=\"https://docs.dodopayments.com/ja/api-reference/usage-events/list-events\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"ko\" href=\"https://docs.dodopayments.com/ko/api-reference/usage-events/list-events\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"pt-BR\" href=\"https://docs.dodopayments.com/pt-BR/api-reference/usage-events/list-events\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"zh\" href=\"https://docs.dodopayments.com/cn/api-reference/usage-events/list-events\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"hi\" href=\"https://docs.dodopayments.com/hi/api-reference/usage-events/list-events\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"it\" href=\"https://docs.dodopayments.com/it/api-reference/usage-events/list-events\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"sv\" href=\"https://docs.dodopayments.com/sv/api-reference/usage-events/list-events\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"x-default\" href=\"https://docs.dodopayments.com/api-reference/usage-events/list-events\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.dodopayments.com/#organization\",\"name\":\"Dodo Payments Documentation\",\"url\":\"https://docs.dodopayments.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/dodopayments/nM_mJfYkri-OpC5M/logo/light.svg?fit=max\u0026auto=format\u0026n=nM_mJfYkri-OpC5M\u0026q=85\u0026s=23f7a052f7ecb9d6570b7c95ee359a97\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.dodopayments.com#website\",\"name\":\"Dodo Payments Documentation\",\"url\":\"https://docs.dodopayments.com\",\"publisher\":{\"@id\":\"https://docs.dodopayments.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.dodopayments.com/vi/api-reference/usage-events/list-events#webpage\",\"url\":\"https://docs.dodopayments.com/vi/api-reference/usage-events/list-events\",\"name\":\"Danh sách sự kiện\",\"description\":\"Lấy danh sách tất cả các sự kiện.\",\"dateModified\":\"2026-04-01T20:47:39.000Z\",\"isPartOf\":{\"@id\":\"https://docs.dodopayments.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.dodopayments.com/vi/api-reference/usage-events/list-events#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.dodopayments.com/vi/api-reference/usage-events/list-events#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Usage Events\",\"item\":\"https://docs.dodopayments.com/vi/api-reference/usage-events/ingest-events\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Danh sách sự kiện\",\"item\":\"https://docs.dodopayments.com/vi/api-reference/usage-events/list-events\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.dodopayments.com/vi/api-reference/usage-events/list-events#apireference\",\"headline\":\"Danh sách sự kiện\",\"name\":\"Danh sách sự kiện\",\"description\":\"Lấy danh sách tất cả các sự kiện.\",\"url\":\"https://docs.dodopayments.com/vi/api-reference/usage-events/list-events\",\"mainEntityOfPage\":{\"@id\":\"https://docs.dodopayments.com/vi/api-reference/usage-events/list-events#webpage\"},\"dateModified\":\"2026-04-01T20:47:39.000Z\",\"keywords\":\"Dodo Payments, Tham khảo API, REST API, danh sách sự kiện\",\"publisher\":{\"@id\":\"https://docs.dodopayments.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.dodopayments.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Dodo Payments Documentation\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Dodo Payments Documentation","nav":{"global":null,"languages":[{"language":"en","pages":[{"title":"en","href":"/api-reference/usage-events/list-events"}]},{"language":"es","pages":[{"title":"es","href":"/es/api-reference/usage-events/list-events"}]},{"language":"ar","pages":[{"title":"ar","href":"/ar/api-reference/usage-events/list-events"}]},{"language":"fr","pages":[{"title":"fr","href":"/fr/api-reference/usage-events/list-events"}]},{"language":"de","pages":[{"title":"de","href":"/de/api-reference/usage-events/list-events"}]},{"language":"id","pages":[{"title":"id","href":"/id/api-reference/usage-events/list-events"}]},{"language":"ja","pages":[{"title":"ja","href":"/ja/api-reference/usage-events/list-events"}]},{"language":"ko","pages":[{"title":"ko","href":"/ko/api-reference/usage-events/list-events"}]},{"language":"pt-BR","pages":[{"title":"pt-BR","href":"/pt-BR/api-reference/usage-events/list-events"}]},{"language":"vi","tabs":[{"tab":"Docs","icon":"book","pages":[{"title":"Docs","href":"/vi/introduction"}]},{"tab":"Guides","icon":"compass","pages":[{"title":"Guides","href":"/vi/developer-resources/integration-guide"}]},{"tab":"API Reference","icon":"rectangle-code","groups":[{"group":"API Reference","pages":[{"title":"Tài liệu tham khảo API","sidebarTitle":"Giới thiệu","icon":"book-open","href":"/vi/api-reference/introduction"},{"title":"Mã Lỗi","icon":"triangle-exclamation","href":"/vi/api-reference/error-codes"},{"title":"Lỗi Giao Dịch","icon":"circle-exclamation","href":"/vi/api-reference/transaction-failures"},{"title":"Hướng dẫn Metadata","icon":"tags","href":"/vi/api-reference/metadata"}]},{"group":"Checkout Sessions","pages":[{"openapi":"post /checkouts","title":"Tạo Phiên Thanh Toán","href":"/vi/api-reference/checkout-sessions/create"},{"openapi":"post /checkouts/preview","title":"Xem trước phiên thanh toán","href":"/vi/api-reference/checkout-sessions/preview"},{"openapi":"get /checkouts/{id}","title":"Lấy Phiên Thanh Toán","href":"/vi/api-reference/checkout-sessions/get-checkouts"}]},{"group":"Payments","pages":[{"openapi":"get /payments","title":"Danh sách thanh toán","href":"/vi/api-reference/payments/get-payments"},{"openapi":"get /payments/{payment_id}","title":"Lấy Chi Tiết Thanh Toán","href":"/vi/api-reference/payments/get-payments-1"},{"title":"Lấy Hóa Đơn","openapi":"get /invoices/payments/{payment_id}","href":"/vi/api-reference/payments/get-invoice"},{"openapi":"get /payments/{payment_id}/line-items","title":"Lấy Mục Dòng","href":"/vi/api-reference/payments/retrieve-line-items"},{"openapi":"post /payments","title":"Tạo khoản thanh toán một lần","tag":"DEPRECATED","href":"/vi/api-reference/payments/post-payments"}]},{"group":"Subscriptions","pages":[{"openapi":"get /subscriptions","title":"Danh sách Đăng ký","href":"/vi/api-reference/subscriptions/get-subscriptions-1"},{"openapi":"get /subscriptions/{subscription_id}","title":"Lấy Chi Tiết Đăng Ký","href":"/vi/api-reference/subscriptions/get-subscriptions"},{"openapi":"post /subscriptions/{subscription_id}/change-plan","title":"Thay đổi gói","href":"/vi/api-reference/subscriptions/change-plan"},{"openapi":"post /subscriptions/{subscription_id}/change-plan/preview","title":"Xem trước thay đổi gói","href":"/vi/api-reference/subscriptions/preview-change-plan"},{"openapi":"delete /subscriptions/{subscription_id}/change-plan/scheduled","title":"Hủy Thay Đổi Gói Đã Lên Lịch","href":"/vi/api-reference/subscriptions/cancel-change-plan"},{"openapi":"patch /subscriptions/{subscription_id}","title":"Cập nhật Đăng ký","href":"/vi/api-reference/subscriptions/patch-subscriptions"},{"openapi":"post /subscriptions/{subscription_id}/charge","title":"Tạo khoản thu (Theo yêu cầu)","href":"/vi/api-reference/subscriptions/create-charge"},{"openapi":"get /subscriptions/{subscription_id}/usage-history","title":"Lấy Lịch Sử Sử Dụng Đăng Ký","href":"/vi/api-reference/subscriptions/get-usage-history"},{"openapi":"get /subscriptions/{subscription_id}/credit-usage","title":"Truy xuất Sử dụng Tín dụng","href":"/vi/api-reference/subscriptions/retrieve-credit-usage"},{"openapi":"post /subscriptions/{subscription_id}/update-payment-method","title":"Cập nhật phương thức thanh toán","href":"/vi/api-reference/subscriptions/update-payment-method"},{"openapi":"post /subscriptions","title":"Tạo Đăng Ký","tag":"DEPRECATED","href":"/vi/api-reference/subscriptions/post-subscriptions"}]},{"group":"Discounts","pages":[{"openapi":"get /discounts","title":"Danh sách Giảm giá","href":"/vi/api-reference/discounts/list-discounts"},{"openapi":"post /discounts","title":"Tạo Giảm Giá","href":"/vi/api-reference/discounts/create-discount"},{"openapi":"get /discounts/{discount_id}","title":"Nhận Giảm Giá","href":"/vi/api-reference/discounts/validate-discount"},{"openapi":"get /discounts/code/{code}","title":"Lấy Giảm Giá theo Mã","href":"/vi/api-reference/discounts/get-discount-by-code"},{"openapi":"patch /discounts/{discount_id}","title":"Cập nhật Giảm giá","href":"/vi/api-reference/discounts/update-discount"},{"openapi":"delete /discounts/{discount_id}","title":"Xóa Giảm Giá","href":"/vi/api-reference/discounts/delete-discount"},{"openapi":"get /discounts/{discount_id}/customers","title":"Liệt kê khách hàng của discount","href":"/vi/api-reference/discounts/list-discount-customers"},{"openapi":"post /discounts/{discount_id}/customers","title":"Thêm khách hàng vào Discount","href":"/vi/api-reference/discounts/add-discount-customers"},{"openapi":"delete /discounts/{discount_id}/customers/{customer_id}","title":"Xóa khách hàng khỏi mã giảm giá","href":"/vi/api-reference/discounts/remove-discount-customer"}]},{"group":"Licenses","pages":[{"title":"Tạo Khóa Giấy Phép","openapi":"post /license_keys","href":"/vi/api-reference/licenses/create-license-key"},{"title":"Kích hoạt Giấy phép","openapi":"post /licenses/activate","href":"/vi/api-reference/licenses/activate-license"},{"title":"Vô hiệu hóa Giấy phép","openapi":"post /licenses/deactivate","href":"/vi/api-reference/licenses/deactivate-license"},{"title":"Xác thực Giấy phép","openapi":"post /licenses/validate","href":"/vi/api-reference/licenses/validate-license"},{"title":"Danh sách khóa bản quyền","openapi":"get /license_keys","tag":"DEPRECATED","href":"/vi/api-reference/licenses/list-license-keys"},{"title":"Lấy Khóa Bản Quyền","openapi":"get /license_keys/{id}","tag":"DEPRECATED","href":"/vi/api-reference/licenses/get-license-key"},{"title":"Cập nhật khóa giấy phép","openapi":"patch /license_keys/{id}","tag":"DEPRECATED","href":"/vi/api-reference/licenses/update-license-key"},{"title":"Danh sách các phiên bản Key bản quyền","openapi":"get /license_key_instances","href":"/vi/api-reference/licenses/get-license-key-instances"},{"title":"Lấy Thông Tin Khóa Bản Quyền","openapi":"get /license_key_instances/{id}","href":"/vi/api-reference/licenses/get-license-key-instance"},{"title":"Cập nhật Thông tin Khóa Bản quyền","openapi":"patch /license_key_instances/{id}","href":"/vi/api-reference/licenses/update-license-key-instance"}]},{"group":"Entitlements","tag":"NEW","pages":[{"title":"Liệt kê Quyền","openapi":"get /entitlements","href":"/vi/api-reference/entitlements/list-entitlements"},{"title":"Tạo Quyền Hạn","openapi":"post /entitlements","href":"/vi/api-reference/entitlements/create-entitlement"},{"title":"Nhận Quyền lợi","openapi":"get /entitlements/{id}","href":"/vi/api-reference/entitlements/get-entitlement"},{"title":"Cập nhật Quyền lợi","openapi":"patch /entitlements/{id}","href":"/vi/api-reference/entitlements/update-entitlement"},{"title":"Xóa Đặc Quyền","openapi":"delete /entitlements/{id}","href":"/vi/api-reference/entitlements/delete-entitlement"},{"title":"Tải lên Tệp","openapi":"post /entitlements/{id}/files","href":"/vi/api-reference/entitlements/upload-file"},{"title":"Xóa Tệp","openapi":"delete /entitlements/{id}/files/{file_id}","href":"/vi/api-reference/entitlements/delete-file"},{"title":"Danh sách các khoản cấp","openapi":"get /entitlements/{id}/grants","href":"/vi/api-reference/entitlements/list-grants"},{"title":"Liệt kê Quyền lợi Khách hàng","openapi":"get /customers/{customer_id}/entitlement-grants","href":"/vi/api-reference/entitlements/list-customer-grants"},{"title":"Thực Hiện Cấp Phép Khóa Bản Quyền","openapi":"post /grants/{grant_id}/license-key","href":"/vi/api-reference/entitlements/fulfill-license-key"},{"title":"Thu Hồi Cấp Quyền","openapi":"delete /entitlements/{id}/grants/{grant_id}","href":"/vi/api-reference/entitlements/revoke-grant"}]},{"group":"Customers","pages":[{"openapi":"post /customers","title":"Tạo Khách Hàng","href":"/vi/api-reference/customers/create-customer"},{"openapi":"get /customers","title":"Danh sách Khách hàng","href":"/vi/api-reference/customers/get-customers"},{"openapi":"get /customers/{customer_id}","title":"Lấy Chi Tiết Khách Hàng","href":"/vi/api-reference/customers/get-customers-1"},{"openapi":"patch /customers/{customer_id}","title":"Cập nhật Khách hàng","href":"/vi/api-reference/customers/patch-customer"},{"openapi":"post /customers/{customer_id}/customer-portal/session","title":"Tạo Phiên Customer Portal","href":"/vi/api-reference/customers/create-customer-portal-session"},{"openapi":"get /customers/{customer_id}/payment-methods","title":"Danh sách Phương thức Thanh toán","href":"/vi/api-reference/customers/get-customer-payment-methods"},{"openapi":"delete /customers/{customer_id}/payment-methods/{payment_method_id}","title":"Xóa Phương Thức Thanh Toán","href":"/vi/api-reference/customers/delete-payment-method"},{"openapi":"get /customers/{customer_id}/entitlements","title":"Liệt kê Entitlements của khách hàng","href":"/vi/api-reference/customers/list-customer-entitlements"},{"openapi":"get /customers/{customer_id}/credit-entitlements","title":"Liệt kê các hạn mức tín dụng của Customer","href":"/vi/api-reference/customers/list-customer-credit-entitlements"},{"openapi":"get /customers/{customer_id}/emails","title":"Liệt kê email của khách hàng","href":"/vi/api-reference/customers/list-customer-emails"},{"openapi":"get /customers/{customer_id}/emails/{email_log_id}/body","title":"Lấy nội dung email của khách hàng","href":"/vi/api-reference/customers/get-customer-email-body"}]},{"group":"Customer Wallets","pages":[{"openapi":"get /customers/{customer_id}/wallets","title":"Liệt kê ví của khách hàng","href":"/vi/api-reference/customers/get-customer-wallets"},{"openapi":"get /customers/{customer_id}/wallets/ledger-entries","title":"Danh sách mục sổ cái ví của khách hàng","href":"/vi/api-reference/customers/get-customer-wallets-ledger-entries"},{"openapi":"post /customers/{customer_id}/wallets/ledger-entries","title":"Tạo mục sổ cái ví khách hàng","href":"/vi/api-reference/customers/post-customer-wallets-ledger-entries"}]},{"group":"Products","pages":[{"openapi":"get /products","title":"Danh sách sản phẩm","href":"/vi/api-reference/products/get-products"},{"openapi":"post /products","title":"Tạo Sản Phẩm","href":"/vi/api-reference/products/post-products"},{"openapi":"get /products/{id}","title":"Lấy Chi Tiết Sản Phẩm","href":"/vi/api-reference/products/get-products-1"},{"openapi":"patch /products/{id}","title":"Cập nhật sản phẩm","href":"/vi/api-reference/products/patch-products"},{"openapi":"put /products/{id}/images","title":"Cập nhật hình ảnh sản phẩm","href":"/vi/api-reference/products/put-products-images"},{"openapi":"delete /products/{id}","title":"Lưu trữ Sản phẩm","href":"/vi/api-reference/products/archive-product"},{"openapi":"post /products/{id}/unarchive","title":"Khôi phục Sản phẩm","href":"/vi/api-reference/products/unarchive-product"},{"openapi":"put /products/{id}/files","title":"Tải lên tệp sản phẩm","href":"/vi/api-reference/products/update-files"},{"openapi":"get /products/short_links","title":"Danh sách Liên kết Ngắn","href":"/vi/api-reference/products/get-products-short-links"},{"openapi":"post /products/{id}/short_links","title":"Tạo Liên Kết Ngắn","href":"/vi/api-reference/products/post-products-id-short-links"}]},{"group":"Localized Pricing","tag":"NEW","pages":[{"openapi":"get /products/{product_id}/localized-prices","title":"Danh sách giá theo địa phương","href":"/vi/api-reference/products/get-products-localized-prices"},{"openapi":"post /products/{product_id}/localized-prices","title":"Tạo Giá Địa Phương","href":"/vi/api-reference/products/post-products-localized-prices"},{"openapi":"get /products/{product_id}/localized-prices/{id}","title":"Lấy Giá Địa Phương","href":"/vi/api-reference/products/get-products-localized-prices-id"},{"openapi":"patch /products/{product_id}/localized-prices/{id}","title":"Cập nhật Giá Địa Phương","href":"/vi/api-reference/products/patch-products-localized-prices"},{"openapi":"delete /products/{product_id}/localized-prices/{id}","title":"Lưu trữ Giá Địa Phương","href":"/vi/api-reference/products/delete-products-localized-prices"}]},{"group":"Addons","pages":[{"openapi":"post /addons","title":"Tạo Addon","href":"/vi/api-reference/addons/create-addon"},{"openapi":"get /addons","title":"Danh sách Addons","href":"/vi/api-reference/addons/list-addons"},{"openapi":"get /addons/{id}","title":"Lấy Addon","href":"/vi/api-reference/addons/get-addon"},{"openapi":"patch /addons/{id}","title":"Cập nhật Addon","href":"/vi/api-reference/addons/update-addon"},{"openapi":"put /addons/{id}/images","title":"Cập nhật hình ảnh addon","href":"/vi/api-reference/addons/update-addon-images"}]},{"group":"Credit Entitlements","tag":"NEW","pages":[{"openapi":"get /credit-entitlements","title":"Liệt kê quyền lợi tín dụng","href":"/vi/api-reference/credit-entitlements/list-credit-entitlements"},{"openapi":"post /credit-entitlements","title":"Tạo quyền lợi tín dụng","href":"/vi/api-reference/credit-entitlements/create-credit-entitlement"},{"openapi":"get /credit-entitlements/{id}","title":"Lấy quyền tín dụng","href":"/vi/api-reference/credit-entitlements/get-credit-entitlement"},{"openapi":"patch /credit-entitlements/{id}","title":"Cập nhật Quyền Tín Dụng","href":"/vi/api-reference/credit-entitlements/update-credit-entitlement"},{"openapi":"delete /credit-entitlements/{id}","title":"Xóa quyền được nhận tín dụng","href":"/vi/api-reference/credit-entitlements/delete-credit-entitlement"},{"openapi":"post /credit-entitlements/{id}/undelete","title":"Khôi phục quyền lợi tín dụng đã xóa","href":"/vi/api-reference/credit-entitlements/undelete-credit-entitlement"},{"openapi":"get /credit-entitlements/{credit_entitlement_id}/balances","title":"Liệt kê số dư","href":"/vi/api-reference/credit-entitlements/list-balances"},{"openapi":"get /credit-entitlements/{credit_entitlement_id}/balances/{customer_id}","title":"Lấy số dư khách hàng","href":"/vi/api-reference/credit-entitlements/get-customer-balance"},{"openapi":"get /credit-entitlements/{credit_entitlement_id}/balances/{customer_id}/grants","title":"Liệt kê các Tài trợ của Khách hàng","href":"/vi/api-reference/credit-entitlements/list-customer-grants"},{"openapi":"get /credit-entitlements/{credit_entitlement_id}/balances/{customer_id}/ledger","title":"Liệt kê Sổ cái Khách hàng","href":"/vi/api-reference/credit-entitlements/list-customer-ledger"},{"openapi":"post /credit-entitlements/{credit_entitlement_id}/balances/{customer_id}/ledger-entries","title":"Tạo mục sổ cái","href":"/vi/api-reference/credit-entitlements/create-ledger-entry"}]},{"group":"Meters","pages":[{"openapi":"post /meters","title":"Tạo Đồng Hồ","href":"/vi/api-reference/meters/create-meter"},{"openapi":"get /meters","title":"Danh sách Đồng hồ","href":"/vi/api-reference/meters/get-meters"},{"openapi":"get /meters/{id}","title":"Lấy Đồng Hồ","href":"/vi/api-reference/meters/retrieve-meter"},{"openapi":"delete /meters/{id}","title":"Lưu trữ Đồng hồ","href":"/vi/api-reference/meters/archive-meter"},{"openapi":"post /meters/{id}/unarchive","title":"Khôi phục đồng hồ","href":"/vi/api-reference/meters/unarchive-meter"}]},{"group":"Usage Events","pages":[{"openapi":"post /events/ingest","title":"Nhập sự kiện","href":"/vi/api-reference/usage-events/ingest-events"},{"openapi":"get /events/{event_id}","title":"Lấy Sự Kiện","description":"Lấy một sự kiện theo ID của nó.","href":"/vi/api-reference/usage-events/get-event"},{"openapi":"get /events","title":"Danh sách sự kiện","href":"/vi/api-reference/usage-events/list-events"}]},{"group":"Refunds","pages":[{"openapi":"get /refunds","title":"Danh sách hoàn tiền","description":"Lấy danh sách tất cả các khoản hoàn tiền liên kết với tài khoản của bạn.","href":"/vi/api-reference/refunds/get-refunds"},{"openapi":"post /refunds","title":"Tạo Hoàn Tiền","href":"/vi/api-reference/refunds/post-refunds"},{"openapi":"get /refunds/{refund_id}","title":"Lấy Chi Tiết Hoàn Tiền","href":"/vi/api-reference/refunds/get-refunds-1"},{"openapi":"get /invoices/refunds/{refund_id}","title":"Lấy biên nhận hoàn tiền","href":"/vi/api-reference/refunds/get-refund-receipt"}]},{"group":"Disputes","pages":[{"openapi":"get /disputes","title":"Danh sách tranh chấp","href":"/vi/api-reference/disputes/get-disputes"},{"openapi":"get /disputes/{dispute_id}","title":"Lấy Chi Tiết Tranh Chấp","href":"/vi/api-reference/disputes/get-disputes-1"}]},{"group":"Payouts","pages":[{"openapi":"get /payouts","title":"Danh sách thanh toán","href":"/vi/api-reference/payouts/get-payouts"},{"openapi":"get /payouts/{payout_id}/breakup","title":"Truy xuất Thông tin Chi tiết Thanh toán","href":"/vi/api-reference/payouts/retrieve-breakup"},{"openapi":"get /payouts/{payout_id}/breakup/details","title":"Liệt kê Chi tiết Phân chia Khoản thanh toán","href":"/vi/api-reference/payouts/list-breakup-details"},{"openapi":"get /payouts/{payout_id}/breakup/details/csv","title":"Tải xuống CSV Chi Tiết Payout","href":"/vi/api-reference/payouts/download-breakup-csv"}]},{"group":"Balance Ledger","pages":[{"openapi":"get /balances/ledger","title":"Liệt kê Các Mục Nhật Ký Số Dư","href":"/vi/api-reference/balance-ledger/list-ledger-entries"}]},{"group":"Moderation","tag":"NEW","pages":[{"openapi":"post /moderation/screen","title":"Kiểm tra Prompt","href":"/vi/api-reference/moderation/screen"},{"openapi":"get /moderation/usage","title":"Lấy thông tin sử dụng kiểm duyệt","href":"/vi/api-reference/moderation/get-usage"}]},{"group":"Brands","pages":[{"openapi":"get /brands","title":"Danh sách Thương hiệu","href":"/vi/api-reference/brands/list-brands"},{"openapi":"post /brands","title":"Tạo Thương Hiệu","href":"/vi/api-reference/brands/create-brand"},{"openapi":"get /brands/{id}","title":"Lấy Thương Hiệu","href":"/vi/api-reference/brands/get-brand"},{"openapi":"patch /brands/{id}","title":"Cập nhật Thương hiệu","href":"/vi/api-reference/brands/update-brand"},{"openapi":"put /brands/{id}/images","title":"Cập nhật hình ảnh thương hiệu","href":"/vi/api-reference/brands/update-brand-images"},{"openapi":"post /brands/{id}/archive","title":"Lưu trữ Brand","href":"/vi/api-reference/brands/archive-brand"}]},{"group":"Webhooks","pages":[{"openapi":"get /webhooks","title":"Danh sách Webhooks","href":"/vi/api-reference/webhooks/list-webhooks"},{"openapi":"post /webhooks","title":"Tạo Webhook","href":"/vi/api-reference/webhooks/create-webhook"},{"openapi":"get /webhooks/{webhook_id}","title":"Lấy chi tiết Webhook","href":"/vi/api-reference/webhooks/get-details"},{"openapi":"patch /webhooks/{webhook_id}","title":"Cập nhật Webhook","href":"/vi/api-reference/webhooks/update-webhook"},{"openapi":"delete /webhooks/{webhook_id}","title":"Xóa Webhook","href":"/vi/api-reference/webhooks/delete-webhook"},{"openapi":"get /webhooks/{webhook_id}/headers","title":"Lấy tiêu đề Webhook","href":"/vi/api-reference/webhooks/get-webhook-headers"},{"openapi":"patch /webhooks/{webhook_id}/headers","title":"Cập nhật tiêu đề Webhook","href":"/vi/api-reference/webhooks/update-webhook-headers"},{"openapi":"get /webhooks/{webhook_id}/secret","title":"Lấy Khóa Ký Webhook","href":"/vi/api-reference/webhooks/get-webhook-signing-key"}]},{"group":"Miscellaneous","pages":[{"title":"Các Quốc Gia Hỗ Trợ","openapi":"get /checkout/supported_countries","href":"/vi/api-reference/misc/supported-countries"}]},{"group":"Product Collections","tag":"NEW","pages":[{"openapi":"get /product-collections","title":"Danh sách Bộ sưu tập Sản phẩm","href":"/vi/api-reference/product-collections/list-product-collections"},{"openapi":"post /product-collections","title":"Tạo Bộ Sưu Tập Sản Phẩm","href":"/vi/api-reference/product-collections/create-product-collection"},{"openapi":"get /product-collections/{id}","title":"Lấy Bộ Sưu Tập Sản Phẩm","href":"/vi/api-reference/product-collections/get-product-collection"},{"openapi":"patch /product-collections/{id}","title":"Cập nhật Bộ sưu tập Sản phẩm","href":"/vi/api-reference/product-collections/update-product-collection"},{"openapi":"delete /product-collections/{id}","title":"Lưu trữ Bộ sưu tập Sản phẩm","href":"/vi/api-reference/product-collections/archive-product-collection"},{"openapi":"post /product-collections/{id}/unarchive","title":"Khôi phục Bộ sưu tập Sản phẩm","href":"/vi/api-reference/product-collections/unarchive-product-collection"},{"openapi":"put /product-collections/{id}/images","title":"Cập nhật hình ảnh bộ sưu tập sản phẩm","href":"/vi/api-reference/product-collections/update-product-collection-images"},{"openapi":"post /product-collections/{id}/groups","title":"Tạo Nhóm Bộ Sưu Tập Sản Phẩm","href":"/vi/api-reference/product-collections/create-group"},{"openapi":"patch /product-collections/{id}/groups/{group_id}","title":"Cập nhật Nhóm Bộ sưu tập Sản phẩm","href":"/vi/api-reference/product-collections/update-group"},{"openapi":"delete /product-collections/{id}/groups/{group_id}","title":"Xóa Nhóm Bộ Sưu Tập Sản Phẩm","href":"/vi/api-reference/product-collections/delete-group"},{"openapi":"post /product-collections/{id}/groups/{group_id}/items","title":"Thêm Sản Phẩm vào Nhóm","href":"/vi/api-reference/product-collections/add-group-items"},{"openapi":"patch /product-collections/{id}/groups/{group_id}/items/{item_id}","title":"Cập nhật Mục Nhóm","href":"/vi/api-reference/product-collections/update-group-item"},{"openapi":"delete /product-collections/{id}/groups/{group_id}/items/{item_id}","title":"Xóa Mục Nhóm","href":"/vi/api-reference/product-collections/delete-group-item"}]}]},{"tab":"External Integrations","icon":"plug","pages":[{"title":"External Integrations","href":"/vi/integrations/introduction"}]},{"tab":"Changelog","icon":"calendar-days","pages":[{"title":"Changelog","href":"/vi/changelog/introduction"}]},{"tab":"Community Projects","icon":"users","pages":[{"title":"Community Projects","href":"/vi/community/overview"}]}]},{"language":"cn","pages":[{"title":"cn","href":"/cn/api-reference/usage-events/list-events"}]},{"language":"hi","pages":[{"title":"hi","href":"/hi/api-reference/usage-events/list-events"}]},{"language":"it","pages":[{"title":"it","href":"/it/api-reference/usage-events/list-events"}]},{"language":"sv","pages":[{"title":"sv","href":"/sv/api-reference/usage-events/list-events"}]}]},"title":"Danh sách sự kiện - Dodo Payments Documentation","buildId":"dpl_2oYXwqkEXirXBPk8wV1FtM5USFWi","deploymentId":"dpl_2oYXwqkEXirXBPk8wV1FtM5USFWi","dynamics":["c2aa737661","b0f84f53ff","a9bb46feb3","2b790eda92"],"chunks":["OpenApiReferenceProvider-WRhTSUDL.js","utils-ChMov4Kr.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-_REmC2bI.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-Bp6nVRCu.js","snippetPresets-DZadmXoU.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","Page-R3M_BF4L.js","ApiExamples-CY2WdoTl.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-DwYG-Q4l.js","shallow-BXQIGwv4.js","getApiPlaygroundDisplay-CK5nK5B9.js","CodeSnippet-TH4a2aGW.js","CodeSnippets-DwsQiOFS.js","getPastedJson-DD7kUzi_.js","icon-holE3QoJ.js","MethodPill-DUW0T8us.js","DuplicateIcon-CI_p4be-.js","createIcon-BdbRvavb.js","DynamicMarkdown-DN96a4Ur.js","SectionHeading-SCu36A9d.js","axios-vUo_bRtp.js","Markdown-CCeGv-zI.js","clsx-BGBGWFTt.js","lib--scc4DXi.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-Cv_O2fky.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-2C5OB2eV.js"]}